// Выведение данных датчика дождя на дисплей

#include <LiquidCrystal_I2C.h> // подключение библиотеки    дисплея  
#define PIN_ANALOG_RAIN_SENSOR A0 // определяем аналоговый  вход для сигнала от датчика    
LiquidCrystal_I2C lcd(0x3f, 16, 2);  // определение адреса и типа дисплея  
    
void setup(){     
  lcd.begin(); // включение дисплея  
  lcd.backlight(); // включение подсветки  
  lcd.setCursor(0, 0); // установка курсора в начале первой строки  
  lcd.print("Hello, world!"); // отображение фразы в первой строке  
  delay(1000); // задержка 1 секунда  
  lcd.setCursor(0, 1); // установка курсора в начале второй строки  
  lcd.print("I'm Rain Sensor"); // отображение фразы во     второй строке  
  delay(3000); // задержка 3 секунды  
  lcd.clear(); // очистка дисплея  
  delay(2000); // задержка 2 секунды  
  lcd.print("Water:"); // выведение надписи на дисплей  
}    
void loop(){    
  int sensorValue = analogRead(PIN_ANALOG_RAIN_SENSOR); //  считываются данные с аналогового порта    
  lcd.setCursor(7,0);  // курсор на 10 знак первой строки  
  lcd.print(sensorValue); // вывод данных на дисплей   
  lcd.print("    "); // пробелы для стирания лишних символов при увеличении разрядности значений  
  (1000); // задержка 1 секунда  
}    
